> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# List deployable tenant organizations (Beta)

GET https://api.sigmacomputing.com/v2/deploymentPolicies/tenants

Returns a paginated list of tenant organizations that the calling organization can deploy to.

- **Parent organizations**: Returns all tenant organizations.
- **Tenant organizations**: Returns tenant organizations that the calling tenant has been granted deployment capabilities to.

**Beta**: This documentation describes a public beta feature and is subject to the [Beta features](/docs/sigma-product-releases#beta-features) disclaimer.

### Usage notes
- To perform this operation, you must use API credentials owned by a user assigned an account type with the **Manage deployment policies** permission enabled.

Reference: https://help.sigmacomputing.com/reference/list-deployable-tenants

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/deploymentPolicies/tenants:
    get:
      operationId: listDeployableTenants
      summary: List deployable tenant organizations (Beta)
      description: >-
        Returns a paginated list of tenant organizations that the calling
        organization can deploy to.


        - **Parent organizations**: Returns all tenant organizations.

        - **Tenant organizations**: Returns tenant organizations that the
        calling tenant has been granted deployment capabilities to.


        **Beta**: This documentation describes a public beta feature and is
        subject to the [Beta
        features](/docs/sigma-product-releases#beta-features) disclaimer.


        ### Usage notes

        - To perform this operation, you must use API credentials owned by a
        user assigned an account type with the **Manage deployment policies**
        permission enabled.
      tags:
        - deploymentPolicies
      parameters:
        - name: pageToken
          in: query
          required: false
          schema:
            type: string
        - name: pageSize
          in: query
          required: false
          schema:
            type: integer
        - name: search
          in: query
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/deploymentPolicies_listDeployableTenants_Response_200
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2DeploymentPoliciesTenantsGetResponsesContentApplicationJsonSchemaEntriesItems:
      type: object
      properties:
        tenantOrganizationId:
          type: string
          description: Unique identifier of a tenant organization that can be deployed to.
        tenantOrganizationSlug:
          type: string
          description: URL identifier for the tenant organization.
        tenantOrganizationName:
          type: string
          description: Display name of the tenant organization.
      required:
        - tenantOrganizationId
        - tenantOrganizationSlug
        - tenantOrganizationName
      title: >-
        V2DeploymentPoliciesTenantsGetResponsesContentApplicationJsonSchemaEntriesItems
    deploymentPolicies_listDeployableTenants_Response_200:
      type: object
      properties:
        entries:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2DeploymentPoliciesTenantsGetResponsesContentApplicationJsonSchemaEntriesItems
          description: Array of results returned by the endpoint
        nextPageToken:
          type: string
          description: >-
            A string that can be passed to the `pageToken` parameter in the next
            request to fetch the next page of results. Not present in the last
            page of results.

            **Must be treated as an opaque string.**
      required:
        - entries
      title: deploymentPolicies_listDeployableTenants_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "entries": [
    {
      "tenantOrganizationId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
      "tenantOrganizationSlug": "acme-corp",
      "tenantOrganizationName": "Acme Corporation"
    },
    {
      "tenantOrganizationId": "f0e1d2c3-b4a5-6789-0abc-def123456789",
      "tenantOrganizationSlug": "globex-inc",
      "tenantOrganizationName": "Globex Inc."
    },
    {
      "tenantOrganizationId": "123e4567-e89b-12d3-a456-426614174000",
      "tenantOrganizationSlug": "initech",
      "tenantOrganizationName": "Initech"
    }
  ],
  "nextPageToken": "eyJwYWdlIjoxfQ=="
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/deploymentPolicies/tenants"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/deploymentPolicies/tenants';
const options = {
  method: 'GET',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/deploymentPolicies/tenants"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/deploymentPolicies/tenants")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/deploymentPolicies/tenants")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/deploymentPolicies/tenants', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/deploymentPolicies/tenants");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/deploymentPolicies/tenants")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```